com.fasterxml.jackson.dataformat.xml

## Interface XmlPrettyPrinter

All Superinterfaces:
  com.fasterxml.jackson.core.PrettyPrinter

All Known Implementing Classes:
  DefaultXmlPrettyPrinter

    public interface XmlPrettyPrinter
    extends com.fasterxml.jackson.core.PrettyPrinter

There are some XML-specific quirks that need extra TLC when indenting: so we will use a refinement of general purpose one.

### Method Summary

Methods
`void` `writeEndElement(org.codehaus.stax2.XMLStreamWriter2 sw, int nrOfEntries)` Method for forcibly writing an end element, without going through Jackson generator (and thus, without updating currently active element stack)
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, BigDecimal value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, BigInteger value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, boolean value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, byte[] data, int offset, int len)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, char[] buffer, int offset, int len, boolean isCData)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, double value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, float value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, int value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, long value)`
`void` `writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName, String text, boolean isCData)`
`void` `writeLeafNullElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName)`
`void` `writeStartElement(org.codehaus.stax2.XMLStreamWriter2 sw, String nsURI, String localName)` Method for forcibly writing a start element, without going through Jackson generator (and thus, without updating currently active element stack)

### Methods inherited from interface com.fasterxml.jackson.core.PrettyPrinter

`beforeArrayValues, beforeObjectEntries, writeArrayValueSeparator, writeEndArray, writeEndObject, writeObjectEntrySeparator, writeObjectFieldValueSeparator, writeRootValueSeparator, writeStartArray, writeStartObject`

### Method Detail

#### writeStartElement

    void writeStartElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                         String nsURI,
                         String localName)
                           throws XMLStreamException

Method for forcibly writing a start element, without going through Jackson generator (and thus, without updating currently active element stack)

Throws:
  `XMLStreamException`
Since:
  2.1

#### writeEndElement

    void writeEndElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                       int nrOfEntries)
                         throws XMLStreamException

Method for forcibly writing an end element, without going through Jackson generator (and thus, without updating currently active element stack)

Throws:
  `XMLStreamException`
Since:
  2.1

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        String text,
                        boolean isCData)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        char[] buffer,
                        int offset,
                        int len,
                        boolean isCData)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        boolean value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        int value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        long value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        double value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        float value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        BigInteger value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        BigDecimal value)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafElement

    void writeLeafElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                        String nsURI,
                        String localName,
                        byte[] data,
                        int offset,
                        int len)
                          throws XMLStreamException

Throws:
  `XMLStreamException`

#### writeLeafNullElement

    void writeLeafNullElement(org.codehaus.stax2.XMLStreamWriter2 sw,
                            String nsURI,
                            String localName)
                              throws XMLStreamException

Throws:
  `XMLStreamException`